游戏服务中存在的问题--基于离子的测量

我在一个离子项目上遇到了一个问题, 它昨天开始发生, 没有修改任何依赖关系。 当我运行 ionic cordova run android 时, 我有此错误: The library com.google.android.gms:play-services-measurement-base is being requested by various other libraries at [[16.5.0,16.5.0], [16.4.0,16.4.0]], but resolves to 16.5.0. Disable the plugin and check your dependencies tree using ./gradlew :app:dependencies. 但这几天我没有安装任何依赖关系。 这是我 cordova plugins 的名单: cordova-fabric-plugin 1.1.14-dev "cordova-fabric-plugin" cordova-plugin-advanced-http 2.0.9 "Advanced HTTP plugin" cordova ……

谷歌 6月17日 Firebase SDK 更新后,Ionic Cordova 应用程序停止编译

在 Firebase 主要版本更新后,我无法编译 Ionic Cordova 应用程序,特别是在 2019年6月17日更新后。 我尝试降级到 Android Cordova 6.3.0,但是我的项目必须是 7.0。 这是我的离子信息: @ 离子/cli-utils: 1.19.2 离子 (离子 CLI): 3.20.0 全球套餐: 科尔多瓦 (科尔多瓦 CLI): 8.0.0 本地套餐: @ Ionic/app-脚本: 3.2.1 科尔多瓦平台: android 浏览器 5.0.4 7.0.0 离子框架: 离子角 3.9.3 系统: Android SDK 工具: 26.1.1 节点: v8.9.1 新公共管理: 5.5.1 操作系统: Windows 10 环境变量: Android _ home: C: \ 开发 \ android-sdk 杂项: 后端: pro 这是我得到的错误: : App: process debugresources C: \ 用户 \ mmzep \。摇篮 \ 缓存 \ 转换 \ 月 \ res 文件-1.1 73b4a83ab5e76f20c8 ……

共4个回答,已解决, 标签: android firebase cordova ionic-framework ionic3
错误: 找不到 org.jetbrains.kotlin: kotlin-stdlib-jdk8: 1.3.60-离子 3 中的 eap-25

我在为 Android 构建 Ionic 3 应用程序时突然收到以下错误。 找不到 org.jetbrains.kotlin: kotlin-stdlib-jdk8: 1.3.60-eap-25 我们有一个解决方案从 Android 工作室在这里 [https://androidstudio.googleblog.com/2019/10/android-studio-40-canary-1-available.html] 但是在我用下面的代码改变了我的 build.gradle 之后,我仍然得到错误。 Buildscript { 存储库 { ... Maven {url 'https://dl.bintray.com/kotlin/kotlin-eap'} } } 所有项目 { 存储库 { ... Maven {url 'https://dl.bintray.com/kotlin/kotlin-eap'} } } 我的 build.gradle 文件看起来像这样,在我更新了我的科尔多瓦并添加了上面的解决方案。 Buildscript { 存储库 { 谷歌 () Jcenter () Maven ……

共4个回答, 标签: android cordova ionic-framework ionic3 build.gradle
控制 Ionic3 中的包捆绑

我在节点 _ 模块中有很多东西, 从我所能看出的情况来看, vendor.js 当我构建我的 Ionic3 项目时, 所有这些东西最终都会出现。为了简单起见, 假设我在节点 _ 模块中有以下文件夹: abc、xyz、uvw 和 qrs. 让我们进一步说, abc 和 xyz 是公共图书馆, 但 uvw 和 qrs 是私有库。因此, 我希望最终没有一个 vendor.js 包含所有四个库的单一。相反, 我想最终 vendor.js 得到一个包括 abc 和 xyz 的, 一个 private.js 包括 uvw 和 qrs 的。 如何更改 Ionic3 项目中的配置文件以实现该结果?理想情况下, 我只需在配置中命名 uvw 和 qrs, 并为节点 _ 模块中的 "其他一切" 生成 vendor. js 的默认行为。 更新功能作为参考, Ionic 3.9.2 使用了 Webpack 3.10.0, 默认的 Ionic web 包配置如下所示。我真的只关心做我上面描述的行为的生产构建。 /* * The webpack config exports an object that has a valid w ……

共1个回答, 标签: webpack ionic3